Skip to content
Basenet
🇳🇱 Nederlands
Esc
↑↓navigate↵open⌘Jpreview

List tasks (scope tasks:read)

GET/api/v1/tasks
Authorization
AuthorizationBearer token · headerrequired

Scoped API token (bnx_…). Required scopes are noted per operation.

Query parameters
$topinteger

Page size ($top, max 200).

min 1 · max 200
$skipinteger

Offset ($skip).

min 0
Responses
200

Paginated list

itemsobject[]required
Show properties
Array of object
idstringrequired
matterIdstring | nullrequired
assigneeRelationIdstring | nullrequired
taskTypestring | nullrequired
statusstringrequired
descriptionstringrequired
bodystring | nullrequired
startDatestring | nullrequired
dueDatestring | nullrequired
doneDatestring | nullrequired
escalationDatestring | nullrequired
escalationAtstring | null
recurrenceRuleobject | nullrequired
Show properties
freqstringrequired
Allowed:dailyweeklymonthly
intervalintegerrequired
untilstring<date>
countinteger
createdAtstringrequired
updatedAtstringrequired
totalintegerrequired
skipintegerrequired
topintegerrequired
401

Unauthenticated

errorstringrequired
codestringrequired
rulestring
403

Forbidden (missing scope or permission)

errorstringrequired
codestringrequired
rulestring
429

Rate limited

errorstringrequired
codestringrequired
rulestring
Request
curl -X GET '/api/v1/tasks' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "items": [
    {
      "id": "string",
      "matterId": "string",
      "assigneeRelationId": "string",
      "taskType": "string",
      "status": "string",
      "description": "string",
      "body": "string",
      "startDate": "string",
      "dueDate": "string",
      "doneDate": "string",
      "escalationDate": "string",
      "escalationAt": "string",
      "recurrenceRule": {
        "freq": "daily",
        "interval": 1,
        "until": "2019-08-24",
        "count": 1
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "total": 0,
  "skip": 0,
  "top": 0
}